/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataRule;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：数据规则表
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据规则表")
public class DataRuleQueryDto implements Serializable
{
    /**
     * 规则名称<br>
     */
    @ApiModelProperty("规则名称")
    @Size(max = 32, message="规则名称-name: 数据长度不能 > 32" )
    private String name;
    /**
     * 规则类型<br>
     */
    @ApiModelProperty("规则类型")
    @Size(max = 1, message="规则类型-type: 数据长度不能 > 1" )
    private String type;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    @ApiModelProperty("系统id列表")
    private List<String> proIds;

    @ApiModelProperty("创建人名称")
    private String creator;

    private List<String> creatorIds;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getCreatorIds() {
        return creatorIds;
    }

    public void setCreatorIds(List<String> creatorIds) {
        this.creatorIds = creatorIds;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<String> getProIds() {
        return proIds;
    }

    public void setProIds(List<String> proIds) {
        this.proIds = proIds;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
}